#include <applicat.h> 
#include <mask.h>
#include <utility.h>
#include <progind.h>
#include <urldefid.h> 

class TAgg_codes : public TApplication
{
  TLocalisamfile*   _mov;
  TLocalisamfile*   _rmov;
  TLocalisamfile*   _rmoviva;

public:        
  virtual bool create();
  virtual bool destroy();
  virtual bool menu(MENU_TAG m);         
  
  TLocalisamfile& get_mov() { return *_mov; }
  
  bool calcola_codes();

  TAgg_codes() {};
  virtual ~TAgg_codes() {};
};          